Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511978 - Used disk space is 0% when value is not available from the Provider
Summary: Used disk space is 0% when value is not available from the Provider
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.9.0
Assignee: lgalis
QA Contact: Brandon Squizzato
URL:
Whiteboard:
Depends On: 1510177
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-10 14:42 UTC by Satoe Imaishi
Modified: 2018-03-01 13:20 UTC (History)
7 users (show)

Fixed In Version: 5.9.0.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1510177
Environment:
Last Closed: 2018-03-01 13:20:49 UTC
Category: ---
Cloudforms Team: Azure


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0380 normal SHIPPED_LIVE Moderate: Red Hat CloudForms security, bug fix, and enhancement update 2018-03-01 18:37:12 UTC

Comment 2 CFME Bot 2017-11-29 20:35:12 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-classic/commit/9e3a0441b79e2326437e918fb4990f0eed75a964

commit 9e3a0441b79e2326437e918fb4990f0eed75a964
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Wed Nov 8 14:24:52 2017 -0800
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Nov 14 20:57:35 2017 -0500

    Merge pull request #2673 from lgalis/azure_container_disk_size_display_fix
    
    Disk Name should not display 0 for unavailable Used/Provisioned size
    (cherry picked from commit 2faeb158eda6ddc5e80ac53f12352a4bf65bd009)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1511978

 app/helpers/textual_mixins/textual_devices.rb       |  9 ++++-----
 spec/helpers/textual_mixins/textual_devices_spec.rb | 12 ++++++++++++
 2 files changed, 16 insertions(+), 5 deletions(-)

Comment 3 CFME Bot 2017-11-29 20:35:57 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-classic/commit/f857c850c507ebe87476f5aee433e13dd0ae0cf7

commit f857c850c507ebe87476f5aee433e13dd0ae0cf7
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Thu Nov 9 12:45:25 2017 -0800
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Nov 14 21:12:20 2017 -0500

    Merge pull request #2681 from lgalis/azure_disk_name_provisioned_size_na
    
    List Provisioned disk name as N/A if size_on_disk is not collected
    (cherry picked from commit fce270e388d2f51cf565507b93e36232e3847b14)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1511978

 app/helpers/textual_mixins/textual_devices.rb       | 11 ++++++-----
 spec/helpers/textual_mixins/textual_devices_spec.rb |  3 +--
 2 files changed, 7 insertions(+), 7 deletions(-)

Comment 4 Brandon Squizzato 2018-02-20 19:28:32 UTC
Verified the UI now shows 'Percent Used Provisioned Space N/A' on cfme 5.9.0.21.20180214154720_6f2109d

Comment 7 errata-xmlrpc 2018-03-01 13:20:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0380


Note You need to log in before you can comment on or make changes to this bug.